cancel
Showing results for 
Search instead for 
Did you mean: 

STMCubeIDE V1.15.0 Build Errors

MAlan.1
Associate II

I had a project that I was developing using V1.14.1 of STMCubeIDE. It was working fine, but overnight, the IDE was updated to V1.15.0. I am trying to build my project and running into this build message.

 

arm-none-eabi-g++ -o "SmartGauge.elf" @"objects.list" -lgre -lsbvfs -lrender-plugin-dma2d -lgre-plugin-fio_vfs -lswrmgr -lswrender -lgre-plugin-sbimage-soil -lsoil -lsbimage -lfont-plugin-freetype -lsbfreetype -lsbpng -lsbz -lgre-plugin-lua -lsblua -lgre-plugin-greio -lsbfreetype -lgre-plugin-animation -lgre-plugin-poly -lgre-plugin-circle -lgre-plugin-timer -lgre-plugin-logger -lgreio -lgre-plugin-gesture -llogging-util -lgre-plugin-screen-path -lgre-plugin-canvas -lgre-plugin-screen-path -lgre-plugin-screen-fade -lgre-plugin-sbimage-soil -lgre-plugin-screen-dump -lgre-plugin-metrics -lgre-plugin-trace -lfont-plugin-sbfont -mcpu=cortex-m7 -T"C:\SVNRepo\ISSPRO 5888\Touchscreen Source Code\isspro.smartgauge.fw\SmartGauge\STM32H750IBKX_FLASH.ld" --specs=nosys.specs -Wl,-Map="SmartGauge.map" -Wl,--gc-sections -static -L"C:\SVNRepo\ISSPRO 5888\Touchscreen Source Code\isspro.smartgauge.fw\SmartGauge\Storyboard\freertos-cube-cortexm7-dma2d-DFP-obj\lib" -L"C:\SVNRepo\ISSPRO 5888\Touchscreen Source Code\isspro.smartgauge.fw\SmartGauge\Storyboard\freertos-cube-cortexm7-dma2d-DFP-obj\plugins" --specs=standard_c_nano_cpp.specs -mfpu=fpv5-d16 -mfloat-abi=hard -mthumb -Wl,--start-group -lc -lm -lstdc++ -lsupc++ -Wl,--end-group

C:/ST/STM32CubeIDE_1.10.0/STM32CubeIDE/plugins/com.st.stm32cube.ide.mcu.externaltools.gnu-tools-for-stm32.12.3.rel1.win32_1.0.100.202403111256/tools/bin/../lib/gcc/arm-none-eabi/12.3.1/../../../../arm-none-eabi/bin/ld.exe: warning: SmartGauge.elf has a LOAD segment with RWX permissions

C:/ST/STM32CubeIDE_1.10.0/STM32CubeIDE/plugins/com.st.stm32cube.ide.mcu.externaltools.gnu-tools-for-stm32.12.3.rel1.win32_1.0.100.202403111256/tools/bin/../lib/gcc/arm-none-eabi/12.3.1/thumb/v7e-m+dp/hard\libgcc.a(pr-support.o):(.ARM.exidx+0x2c): relocation truncated to fit: R_ARM_PREL31 against `.ARM.extab'

C:/ST/STM32CubeIDE_1.10.0/STM32CubeIDE/plugins/com.st.stm32cube.ide.mcu.externaltools.gnu-tools-for-stm32.12.3.rel1.win32_1.0.100.202403111256/tools/bin/../lib/gcc/arm-none-eabi/12.3.1/thumb/v7e-m+dp/hard\libgcc.a(pr-support.o):(.ARM.exidx+0x34): relocation truncated to fit: R_ARM_PREL31 against `.ARM.extab'

collect2.exe: error: ld returned 1 exit status

make[1]: *** [makefile:102: SmartGauge.elf] Error 1

make: *** [makefile:95: all] Error 2

 

Just wondering if there is something I am missing or if re-downloading V1.14.1 is my only move? The directory is 1.10.0

since that was the first version I had downloaded originally.

1 ACCEPTED SOLUTION

Accepted Solutions
MAlan.1
Associate II

Just had to change the GNU toolchain back to 11.3

View solution in original post

1 REPLY 1
MAlan.1
Associate II

Just had to change the GNU toolchain back to 11.3